cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Showing results for 
Search instead for 
Did you mean: 

unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Highlighted
Regular Member

unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Hi community,

I installed the ThingWorx_8.0. I am able to load the thingworx composer after that I tried to import Thingworx Utilities but I encountered the following error.

Data store unknown error: [Error occurred while accessing the model provider.]

can anyone provide me with the remedy.

Regards,

Madhu

Tags (1)
11 REPLIES 11

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Hello, Madhu Nalla.

I searched on that error you provided and it appears it can be caused by a lot of things; I didn't see adding ThingWorx Utilities as one of them, though. Do you have other, custom, extensions installed? If so, are they known to be compatible with ThingWorx 8?

Let us know, please.

-- Craig A.

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Madhu Nalla​ : Could you please confirm the ThingWorx Utilities version you used. In case you are not using ThingWorx-Utilities-8-0-0 then you will face compatibility issues. While doing import can you validate before clicking import button and share screenshot of error?

-Durgesh

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

hi,

I installed 8.0.0, I am trying to import 8.0.1 utilities, I thought compatibility issue,  but it is not taking even 8.0.0 utilities also. After sometime it accepted 8.0.1. Now am able to import. I would like to know which is best practice. should I go with all the scripts in same version or is it fine if I use 8.0.0 and 8.0.1 also.

Regards,

madhu

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Hi Durgesh,

I used ThingWorx_Utilities_8.0.1 to import. But after sometime It accepted the same. What is the best practice to import extensions..?

Regards,

madhu

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Madhu Nalla​ : It is recommended to you Utilities package having same version as of ThingWorx. For, minor and patch ThingWorx & Utilities version changes it allows however best would to use the same versions.

Also, one should always validate package before importing to make sure all required/dependencies are okay before importing Utilities. In case validation fails then we should attempt to fix the error before attempting import of the Utilities extensions.

-Durgesh

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model provider.]

Hi,

ThankYou  Durgesh.

Regards,

Madhu

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model

Hi @dupatel @CRArko,

 

I have upgraded my composer from 7.2 to 8.3 and have seen this "Unable to get search entries: [1,018] Data store unknown error: [Error occurred while accessing the model provider.]" message in the upgraded composer. However when i restarted the tomcat this issue got solved on its own.

 

According to the up gradation document there is need to reimport the extensions. We're currently using Thingworx Utilities extension(7.2) along with some other extensions. Should i go with 8.3 TWX Utilities or with the existing 7.2 version?

 

Regards,

Saran

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model

@SaranKarthick Suggest to use version 8.3 utilities along with your upgraded ThingWorx.

Re: unable to import Utilities: Data store unknown error: [Error occurred while accessing the model

Hi @dupatel,

 

Thanks for your reply. It seems TWX Utilities 8.3 is comprised of five components unlike TWX Utilities 7.2 as shown in the image attached. 

 

So we should be importing all the five components not just Thingworx-Utilities-Core. Is that correct?

 

Regards,

Saran

Announcements

Thingworx Navigate content has a new home! Click here to access the new Thingworx Navigate forum! ______________________________